BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.MarshalByRefObject System.IDisposable

Represents a writer that can write a sequential series of characters.

is designed for character output, whereas the class is designed for byte input and output.

By default, a is not thread safe. See for a thread-safe wrapper.

- Constructor

  Constructs and initializes a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A object that supplies a formatting object.

  Constructs and initializes a new instance of the class with the specified format provider.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Closes the current instance and releases any system resources associated with it.

  After a call to , any operation on the current instance might throw an exception.

  This version of is equivalent to ().

  As described above.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Char[] To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Void `` to release both managed and unmanaged resources; to release only unmanaged resources.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  When the parameter is , this method releases all resources held by any managed objects that this references. This method invokes the method of each referenced object.

  can be called multiple times by other objects. When overriding (), be careful not to reference objects that have been previously disposed in an earlier call to .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Text.Encoding

  Gets the in which the output is written.

  The in which the output is written.

  As described above.

  This property is required in some XML scenarios where a header must be written containing the encoding used by the . This allows XML code to consume an arbitrary and generate a correct XML header.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Writes any buffered data to the underlying device and clears all buffers for the current instance.

  As described above.

  This method is not implemented in this abstract class.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.IFormatProvider

  Gets an object that provides formatting for the current instance

  A object for a specific culture, or the formatting of the current culture if no other culture is specified.

  As described above.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.String

  Gets or sets the line terminator string used by the current .

  A containing the line terminator string for the current .

  The default line terminator string is .

  The line terminator string is written to the text stream whenever one of the methods is called. In order for text written by the to be readable by a , only should be used as a terminator string. If is set to , the default newline character is used instead.

  As described above.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.IO.TextWriter

  Provides a object without a backing store.

  Use to redirect output to a stream that will not consume any operating system resources.

  When a method is invoked on , the call simply returns, and no data is actually written to any backing store.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.IO.TextWriter `` The to synchronize.

  Creates a thread-safe wrapper around the specified instance.

  A thread-safe .

  This method returns a class that wraps around the specified instance and restricts concurrent access to it by multiple threads.

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value to the text stream.

  This version of is equivalent to ( .ToString ()).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write to the text stream.

  Writes a character to the text stream.

  As described above.

  This method is not implemented in this abstract class.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The array to write to the text stream. If is , nothing is written.

  Writes a character array to the text stream.

  This version of is equivalent to (, 0, .Length ).

  This method does not search the specified array for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write.

  Writes the text representation of a specified to the text stream.

  This version of is equivalent to ( .ToString ()).

  As described above.

  An I/O error occurred. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write.

  Writes the text representation of a specified to the text stream.

  This version of is equivalent to ( .ToString()).

  As described above.

  An I/O error occurred. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write.

  Writes the text representation of a specified to the text stream.

  This version of is equivalent to ( . ()).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write.

  Writes the text representation of a specified to the text stream.

  This version of is equivalent to ( . () ).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The object to write. If is , nothing is written.

  Writes the text representation of a specified object to the text stream.

  This version of is equivalent to ( .ToString()).

  As described above.

  The default implementation uses the () method. An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write.

  Writes the text representation of a specified to the text stream.

  This version of is equivalent to ( .ToString()).

  As described above.

  An I/O error occurred. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write. If is , nothing is written.

  Writes a specified to the text stream.

  This version of is equivalent to (.ToByteArray()).

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write.

  Writes the text representation of a to the text stream.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This version of is equivalent to ( .ToString ()).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` The to write.

  Writes the text representation of a specified to the text stream.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This version of is equivalent to ( . () ).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` `` A containing the format string. An object referenced in the format string.

  Writes out the format string to the text stream.

  This version of is equivalent to ( (, )).

  If the specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (1).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `System.ParamArray` A containing the format string. The array of objects referenced from the format string.

  Writes a formatted string to the text stream.

  This version of is equivalent to ( (, )).

  If a specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is .

  -or-

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to Length .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` `` The character array from which characters are read. Starting index in the buffer. The number of characters to write.

  Writes a subarray of characters to the text stream.

  This method does not search the specified array for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  The default implementation uses the ([]) method. is . ( + ) > Length. 0 or < 0. An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` A containing the format string. The first object referenced in the format string. The second object referenced in the format string.

  Writes out a formatted string to the text stream.

  This version of is equivalent to ( (, , )).

  If a specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (2).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` `` `` A containing the format string. The first object referenced in the format string. The second object referenced in the format string. The third object referenced in the format string.

  Writes out a formatted string to the text stream.

  This version of is equivalent to ( (, , , )).

  If a specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (3).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Writes a line terminator to the text stream.

  This version of is equivalent to (.ToCharArray()).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a value followed by a line terminator to the text stream.

  This version of is equivalent to ( .ToString () ).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write to the text stream.

  Writes a specified character followed by a line terminator to the text stream.

  This version of is equivalent to ( ) followed by ().

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The array from which data is read. If is , only the line terminator is written.

  Writes a specified character array followed by a line terminator to the text stream.

  This version of is equivalent to ( ) followed by ().

  This method does not search the specified array for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value followed by a line terminator to the text stream.

  This version of is equivalent to (.ToString()).

  As described above.

  An I/O error occurred. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value followed by a line terminator to the text stream.

  This version of is equivalent to (.ToString()).

  As described above.

  An I/O error occurred. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value followed by a line terminator to the text stream.

  This version of is equivalent to (.ToString()).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value followed by a line terminator to the text stream.

  This version of is equivalent to ( . () ).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The object to write. If is , only the line terminator is written.

  Writes the text representation of a specified object followed by a line terminator to the text stream.

  This version of is equivalent to ( .ToString() ).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value followed by a line terminator to the text stream.

  This version of is equivalent to (.ToString()).

  As described above.

  An I/O error occurred. 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to write. If is , only the line terminator is written.

  Writes a specified followed by a line terminator to the text stream.

  This version of is equivalent to ( .ToByteArray() ).

  The line terminator string is defined by the property.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value followed by a line terminator to the text stream.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This version of is equivalent to ( .ToString () ).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` The value to write.

  Writes the text representation of a specified value followed by a line terminator to the text stream.

  This member is not CLS-compliant. For a CLS-compliant alternative, use ().

  This version of is equivalent to ( .ToString () ).

  As described above.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false)
- Method
  System.Void `` `` A containing the format string. The object referenced in the format string.

  Writes out a formatted string followed by a line terminator to the text stream.

  This version of is equivalent to ( (, )).

  If the specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (1).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `System.ParamArray` A containing the format string. The array of objects referenced from the format string.

  Writes out a formatted string followed by a line terminator to the text stream.

  This version of is equivalent to ( (, )).

  If the specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  or is . An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to Length.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` `` The array from which characters are read. A that specifies the index in at which to begin reading. A that specifies the maximum number of characters to write.

  Writes a sub-array of characters from a specified character array, followed by a line terminator to the text stream.

  This version of is equivalent to ( , , ) followed by ().

  This method does not search the specified array for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is . ( + ) > .Length.

  0

  -or-

  < 0.

  An I/O error occurred. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` A containing the format string. The first object referenced in the format string. The second object referenced in the format string.

  Writes out a formatted string followed by a line terminator to the text stream.

  This version of is equivalent to ( (, , )).

  If the specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (2).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` `` `` A containing the format string. The first object referenced in the format string. The second object referenced in the format string. The third object referenced in the format string.

  Writes out a formatted string followed by a line terminator to the text stream.

  This version of is equivalent to ( (, , , )).

  If the value of any object parameter is null, it is treated as an empty string.

  If the specified object is not referenced in the format string, it is ignored.

  This method does not search the specified for individual newline characters (hexadecimal 0x000a) and replace them with .

  As described above.

  is .

  An I/O error occurred.

  The format specification in is invalid.

  -or-

  The number indicating an argument to be formatted is less than zero, or greater than or equal to the number of provided objects to be formatted (3).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)